图片生成接口
curl --request POST \
--url https://geekai.co/api/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-image-1",
"prompt": "画一只可爱的小猫",
"negative_prompt": "<string>",
"image": "<string>",
"strength": 0.5,
"size": "1024x1024",
"aspect_ratio": "1:1",
"n": 1,
"quality": "medium",
"style_preset": "3d-model",
"response_format": "url",
"output_format": "png",
"mask": "<string>",
"watermark": false,
"background": "auto",
"extra_body": {
"sequential_image_generation": "disabled",
"sequential_image_generation_options": {
"max_images": 15
}
},
"async": false,
"retries": 0
}
'import requests
url = "https://geekai.co/api/v1/images/generations"
payload = {
"model": "gpt-image-1",
"prompt": "画一只可爱的小猫",
"negative_prompt": "<string>",
"image": "<string>",
"strength": 0.5,
"size": "1024x1024",
"aspect_ratio": "1:1",
"n": 1,
"quality": "medium",
"style_preset": "3d-model",
"response_format": "url",
"output_format": "png",
"mask": "<string>",
"watermark": False,
"background": "auto",
"extra_body": {
"sequential_image_generation": "disabled",
"sequential_image_generation_options": { "max_images": 15 }
},
"async": False,
"retries": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-image-1',
prompt: '画一只可爱的小猫',
negative_prompt: '<string>',
image: '<string>',
strength: 0.5,
size: '1024x1024',
aspect_ratio: '1:1',
n: 1,
quality: 'medium',
style_preset: '3d-model',
response_format: 'url',
output_format: 'png',
mask: '<string>',
watermark: false,
background: 'auto',
extra_body: {
sequential_image_generation: 'disabled',
sequential_image_generation_options: {max_images: 15}
},
async: false,
retries: 0
})
};
fetch('https://geekai.co/api/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "aSDinaTvuI8gbWludGxpZnk=",
"revised_prompt": "<string>"
}
],
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_status": "running"
}{
"code": "validation_error",
"message": "参数验证失败",
"details": {
"field": "错误描述"
}
}{
"code": "unauthorized",
"message": "Invalid API key or token"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}画图模型
图片生成
POST
/
images
/
generations
图片生成接口
注:你可以在模型广场筛选查看系统支持的画图模型列表,画图模型基础请求/响应参数结构兼容 OpenAI,同时扩展了一些新的参数来适配其他模型的功能,切换模型时只需修改对应的模型名称即可,若模型请求/响应参数和 OpenAI 不一致,极客智坊底层会自动转换对齐。
响应数据格式和 OpenAI 完全兼容。
| 平台 | 模型 | 支持的尺寸 |
|---|---|---|
| OpenAI | GPT-Image系列 | GPT-Image-2开始支持指定范围内的任意尺寸,其他版本:1024x1024,1024x1536,1536x1024,auto,默认是auto |
| Imagen系列 | 无尺寸配置,支持宽高比:1:1、3:4、4:3、9:16、16:9, 默认1:1,HTTP调用只支持默认值。 | |
| Banana系列 | 无尺寸配置,支持通过size字段传递分辨率:1k、2k、4k,支持宽高比:1:1、2:3、3:2、3:4、4:3、4:5、5:4、9:16、16:9,21:9,
默认1:1。 | |
| 智谱清言 | CogView系列 | 1024x1024,768x1344,864x1152,1344x768, 1152x864,1440x720,720x1440,默认是1024x1024 |
| 阿里巴巴 | 通义万相系列 | 图像宽高边长的像素范围为:[768, 1440],单位像素。 可任意组合以设置不同的图像分辨率,最高可达200万像素。 默认值:1024*1024 |
| 可灵AI | kling系列 | 无尺寸配置,支持宽高比:16:9、9:16、1:1、4:3、3:4、3:2、2:3, 默认1:1 |
| 字节跳动 | 即梦系列 | 支持宽高比及对应尺寸:512x512(默认值)、512x384、384x512、512x341、 341x512、512x288、288x512 |
| 字节跳动 | Seeddream系列 | 支持宽高比及对应尺寸:点此查看 |
| Stability | Stable Image系列 | 图像宽高边长的像素范围为:[64, 16384],单位像素。 可任意组合以设置不同的图像分辨率,总像素数至少需要达到 4096 像素。 |
| Midjourney |
请求/响应参数明细
授权
bearerAuthapiKeyAuth
API认证token
请求体
application/json
图片生成模型
示例:
"gpt-image-1"
文本提示
示例:
"画一只可爱的小猫"
反向提示词,用来描述不希望在画面中看到的内容,可以对画面进行限制
单张图片URL/Base64编码数据,仅支持图生图模型支持该配置
以图生图引用图片的影响强度,取值范围[0, 1],默认0.5
图片尺寸,不同模型设置不同,详见模型尺寸表
图片宽高比,不同模型设置不同,详见模型尺寸表
图片数量,默认为1
图片质量,可灵AI支持 std、pro 两个配置,OpenAI/智谱清言支持 standard、hd 两个配置,GPT Image支持 auto/low/medium/high 四个配置项
风格预设,目前仅 stable image 支持该配置
示例:
"3d-model"
图片响应格式,支持 url/b64_json 两种格式,默认为url
可用选项:
url, b64_json 图片输出格式,支持 png/jpg/webp 三种格式,默认为png
可用选项:
png, jpg, webp 图片遮罩,支持图片URL/Base64编码数据
是否添加AI生成水印,默认为false,仅部分模型支持
背景透明度,目前仅 gpt-image-1 支持该配置
可用选项:
transparent, opaque, auto 额外参数配置项,以适配不同画图模型的多样化配置
Show child attributes
Show child attributes
是否异步生成,默认false,即同步等待图片生成成功后返回生成结果,如果异步需要通过调用图片获取接口获取生成结果
自动重试次数,默认0,表示失败不重试
此页面对您有帮助吗?
⌘I
